Bug 216989 - net/tigervnc: chase update of Xorg server to 1.18
Summary: net/tigervnc: chase update of Xorg server to 1.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-11 05:32 UTC by Matthew Rezny
Modified: 2017-02-22 18:58 UTC (History)
2 users (show)

See Also:
meta: maintainer-feedback+
pi: merge-quarterly?


Attachments
chase Xorg update (2.47 KB, patch)
2017-02-11 05:32 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2017-02-11 05:32:33 UTC
Created attachment 179862 [details]
chase Xorg update

There is a pending update of Xorg server to 1.18.4 which necessitates a change to TigerVNC in order to build correctly. The attached patch switches TigerVNC from building against Xorg 1.17 to 1.18.
Comment 1 Koichiro Iwao freebsd_committer 2017-02-14 02:44:26 UTC
LGTM, Thanks!
Comment 2 Koichiro Iwao freebsd_committer 2017-02-14 09:14:52 UTC
This should be committed to quarterly.
Comment 3 Koichiro Iwao freebsd_committer 2017-02-15 02:41:27 UTC
Kurt, can you take this?
Comment 4 Kurt Jaeger freebsd_committer 2017-02-15 10:26:10 UTC
Builds on a loaded system, but not in poudriere:

cur [00:20:03] ====>> Error: Build failed in phase: check-sanity
11a [00:17:56] ====>> Error: Build failed in phase: check-sanity
10i [00:11:23] ====>> Error: Build failed in phase: check-sanity

Any idea ?
Comment 5 Matthew Rezny freebsd_committer 2017-02-19 01:31:08 UTC
(In reply to Kurt Jaeger from comment #4)

Since I had tested this before committing the Xorg update, I retested just in case something else changed in the process. Again, poudriere testport is successful for 10.3 and 11.0 on both amd64 and i386. What is the actual failure you see?
Comment 6 commit-hook freebsd_committer 2017-02-22 18:57:35 UTC
A commit references this bug:

Author: rezny
Date: Wed Feb 22 18:56:45 UTC 2017
New revision: 434629
URL: https://svnweb.freebsd.org/changeset/ports/434629

Log:
  Update patches to build with Xorg server 1.18

  PR:		216989
  Approved by:	meta+ports@vmeta.jp (maintainer), swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9710

Changes:
  head/net/tigervnc/Makefile
  head/net/tigervnc/files/patch-unix_xserver117.patch
  head/net/tigervnc/files/patch-unix_xserver118.patch